Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.model
Class PropertyModel

Represents a property of a value as a model.

author:
  James Strachan

version:
  $Revision: 7054 $

Field Summary
`boolean` | `editable`
`String` | `property`
`ValueModel` | `sourceModel`
`Class` | `type`

Constructor Summary
`PropertyModel(ValueModel sourceModel, String property)`
`PropertyModel(ValueModel sourceModel, String property, Class type)`
`PropertyModel(ValueModel sourceModel, String property, Class type, boolean editable)`

Method Summary
`String` | `getProperty()`
`ValueModel` | `getSourceModel()`
`Class` | `getType()`
`Object` | `getValue()`
`boolean` | `isEditable()`
`void` | `setValue(Object value)`

Constructor Detail

### PropertyModel

    public PropertyModel(ValueModel sourceModel, String property)

### PropertyModel

    public PropertyModel(ValueModel sourceModel, String property, Class type)

### PropertyModel

    public PropertyModel(ValueModel sourceModel, String property, Class type, boolean editable)

Method Detail

### getProperty

    public String getProperty()

### getSourceModel

    public ValueModel getSourceModel()

### getType

    public Class getType()

### getValue

    public Object getValue()

### isEditable

    public boolean isEditable()

### setValue

    public void setValue(Object value)